function dec = haardec(S,levels)
%
% function dec = haardec(S,levels)
% 
% Decompose a signal S as the sum of the trend of level levels and all 
% the details up to that level. The result is a structure dec containing
% the field T (a cell array of the
% trends) and D (a cell array of the details).
				%
[dec.T{1},dec.D{1}] = haar(S);
for l = 2:levels
  [dec.T{l},dec.D{l}] = haar(dec.T{l-1});  
end
  
  
